Bug 1460722 - "journalctl -t tracker-store" not show tracker-store entries
"journalctl -t tracker-store" not show tracker-store entries
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 09:54 EDT by Mikhail
Modified: 2018-05-29 07:35 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:35:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-06-12 09:54:43 EDT
Description of problem:

$ journalctl -b -1 -t tracker-store
-- No entries --

$ journalctl -b -1 -u tracker-store.service
-- No entries --


$ journalctl -b -1 | grep tracker-store
июн 10 11:36:26 localhost.localdomain dbus-daemon[1590]: [session uid=1000 pid=1590] Activating via systemd: service name='org.freedesktop.Tracker1' unit='tracker-store.service' requested by ':1.63' (uid=1000 pid=2032 comm="/usr/libexec/tracker-miner-apps " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
июн 10 11:36:26 localhost.localdomain tracker-store.desktop[2048]: (uint32 1,)
июн 10 11:37:26 localhost.localdomain tracker-store[2047]: Could not delete FTS content: constraint failed (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:37:26 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:37:26 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:37:27 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:38:57 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:39:03 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:47:24 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:48:18 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:49:10 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 11:49:14 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 12:00:17 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 12:24:27 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
июн 10 12:29:21 localhost.localdomain tracker-store[2047]: Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)

***
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-06-12 10:09:53 EDT
Please paste the full entries that are not being matched
(journalctl -b-1 -o verbose).
Comment 2 Mikhail 2017-06-12 10:36:36 EDT
Example not being matched entries

Sat 2017-06-10 11:37:26.756119 +05 [s=6bba9435f8194ea799d16e21499ace31;i=50244;b=1ef7a752d0de47febe2135fe8e6352b9;m=5627612;t=5519551bb3f35;x=3094b5e80cb3c4d]
    _TRANSPORT=journal
    _UID=1000
    _GID=1000
    _CAP_EFFECTIVE=0
    _AUDIT_SESSION=3
    _AUDIT_LOGINUID=1000
    _SYSTEMD_OWNER_UID=1000
    _SYSTEMD_UNIT=user@1000.service
    _SYSTEMD_SLICE=user-1000.slice
    _SYSTEMD_USER_SLICE=-.slice
    _SELINUX_CONTEXT=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
    _MACHINE_ID=edc1cc95c19c4261af3af0c053b20c2e
    _HOSTNAME=localhost.localdomain
    PRIORITY=4
    GLIB_OLD_LOG_API=1
    _PID=2047
    GLIB_DOMAIN=Tracker
    MESSAGE=Transaction rollback failed: cannot rollback - no transaction is active (strerror of errno (not necessarily related): Resource temporarily unavailable)
    _COMM=tracker-store
    _EXE=/usr/libexec/tracker-store
    _CMDLINE=/usr/libexec/tracker-store
    _SYSTEMD_CGROUP=/user.slice/user-1000.slice/user@1000.service/tracker-store.service
    _SYSTEMD_USER_UNIT=tracker-store.service
    _SYSTEMD_INVOCATION_ID=3862cea8fae84f1bb78cdd3dc2c54be3
    _BOOT_ID=1ef7a752d0de47febe2135fe8e6352b9
    _SOURCE_REALTIME_TIMESTAMP=1497076646756119
Comment 3 Zbigniew Jędrzejewski-Szmek 2017-06-12 22:14:43 EDT
It is not matched by -t tracker-store, because there's no SYSLOG_IDENTIFIER=tracker-store tag. This is completely under the control of the sender, so it the sender does not attach SYSLOG_IDENTIFIER, -t will not work.

It is not matched by -u, because -u is for *system* units, user@1000.service in this case, and you'd need --user-unit=tracker-store or --user --unit=tracker-store.

So the only issue seems to be that tracker-store does not consistently tag it's messages with SYSLOG_IDENTIFIER=tracker-store. It certainly does some, because 'journalctl -t tracker-store' prints some entries here. I'll reassign to tracker, please take a look.
Comment 4 Fedora End Of Life 2018-05-03 04:15:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 07:35:27 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.